Author Topic: New release is needed  (Read 784 times)

Offline gonciarz

  • Squaddie
  • *
  • Posts: 1
    • View Profile
New release is needed
« on: July 17, 2019, 01:26:14 am »
Gus, It's been more than 5 years since OpenXcom was released.
I know that recently you guys prepare nightly builds, but maybe you may release more stable version from time to time.
SupSuper what do you think? Maybe you may mark nightly as github releases / tags?

Offline SupSuper

  • Lazy Developer
  • Administrator
  • Commander
  • *****
  • Posts: 2136
    • View Profile
Re: New release is needed
« Reply #1 on: July 17, 2019, 03:00:23 am »
I guess that can be arranged now that we have a new mod portal.

Offline The Reaver of Darkness

  • Commander
  • *****
  • Posts: 1297
    • View Profile
Re: New release is needed
« Reply #2 on: September 26, 2019, 10:07:25 pm »
Howabout we stop calling the nightly versions unstable? These days the least stable nightlies are more stable than 1.0. Instability is uncommon and fixed quickly. I recommend just maintaining a list of stable snapshots--it's the whole list minus any that have been marked for instability. The old warning should be scrapped and replaced with one suggesting for ideal stability you should stick with a version that's at least few months old and update once every few months or more.